summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/flac123/README4
-rw-r--r--audio/flac123/flac123.SlackBuild80
-rw-r--r--audio/flac123/flac123.info8
-rw-r--r--audio/flac123/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/audio/flac123/README b/audio/flac123/README
new file mode 100644
index 0000000000..f0721f6bd7
--- /dev/null
+++ b/audio/flac123/README
@@ -0,0 +1,4 @@
+flac123 is a command line tool for playing audio files stored in
+the lossless FLAC format. It fills a gap in the existing FLAC tools
+which provide a standalone tool to encode and decode files, a tool
+to manipulate metadata but no command line tool for playback.
diff --git a/audio/flac123/flac123.SlackBuild b/audio/flac123/flac123.SlackBuild
new file mode 100644
index 0000000000..2eb3533461
--- /dev/null
+++ b/audio/flac123/flac123.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for flac123
+
+# Copyright 2008-2009 Andrew Strong (http://www.andrews-corner.org)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flac123
+VERSION=0.0.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Unfortunately there are no man or info pages for this program.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/flac123/flac123.info b/audio/flac123/flac123.info
new file mode 100644
index 0000000000..f854822dc4
--- /dev/null
+++ b/audio/flac123/flac123.info
@@ -0,0 +1,8 @@
+PRGNAM="flac123"
+VERSION="0.0.11"
+HOMEPAGE="http://flac-tools.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/flac-tools/flac123-0.0.11.tar.gz"
+MD5SUM="60204986d3556330255b87aa42a4c9d1"
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.45@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/flac123/slack-desc b/audio/flac123/slack-desc
new file mode 100644
index 0000000000..8af483d2cc
--- /dev/null
+++ b/audio/flac123/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+flac123: flac123 (a command line FLAC player)
+flac123:
+flac123: flac123 is a command line tool for playing audio files stored in the
+flac123: lossless FLAC format. It fills a gap in the existing FLAC tools which
+flac123: provide a standalone tool to encode and decode files, a tool to
+flac123: manipulate metadata but no command line tool for playback.
+flac123:
+flac123: Homepage: http://flac-tools.sourceforge.net
+flac123:
+flac123:
+flac123: